EEPGET(1)

NOME
Eepget - Downloader I2P

SINOSSI
eepget [opzioni]URL

DESCRIZIONE

Scarica un file non interattivo via HTTP. I trasferimenti tramite I2P e il regolare internet è supportato.

Eepget is able to cope with slow or unstable network connections; if a download is not successful because of a network problem, it will keep retrying until the whole file has been retrieved (if the -n option is set). If supported by the remote server, eepget will instruct the server to continue the download from the point of interruption.

OPZIONI
-c

Clearnet. Non utilizzare un proxy. Uguale a -p :0 .

-e etag

Imposta il valore di etag nelle intestazioni di richiesta.

-h nome=valore

Aggiunge un'intestazione di richiesta arbitraria con il nome e valore specificati.

-l lineLen

Controlla il display di avanzamento.  lineLen  è la lunghezza di una linea di progresso in caratteri. L'impostazione predefinita è 40.

-m markSize

Controls the progress display.  markSize  is the number of bytes one '#' character represents. The default is 1024.

-n numeroTentativi

Specify the number of times to retry downloading if the download isn't successful. If this option is not specified, eepget will not retry.

-o file

Sets the output file to write to. If this option is not given, the output filename will be determined by the URL.

-p proxy_host[:port]

Specifica un server proxy I2P (eeproxy) da utilizzare. Se la porta non è specificata, eepget userà la porta 4444. Se questa opzione non è specificata, eepget userà 127.0.0.1:4444. Specifica -c oppure -p :0 to disable the eeproxy.

-t secondi

Imposta il tempo di inattività. L'impostazione predefinita è di 60 secondi.

-u username

Imposta il nome utente per l'autorizzazione proxy, se necessario.

-x password

Imposta la password per l'autorizzazione proxy, se necessario. se è specificato un nome utente ma non una password, EepGet richiederà la password.

EXIT STATUS
eepget exits with status zero upon successful transfer and non-zero if there were problems with the download.

SEGNALAZIONE BUG
Please enter a ticket on the I2P trac page (https://trac.i2p2.de/).

VEDI ANCHE
i2prouter(1) curl(1) wget(1)